﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="archivepoll.aspx.cs" Inherits="PollArchive"
    EnableViewState="false" %>

<asp:content id="Content1" contentplaceholderid="cphBody" runat="Server">
      <div class="pollArchive-SortContainer"><asp:DropDownList ID="Sort_ddl" runat="server">
        <asp:ListItem Value="date">Fecha</asp:ListItem>
        <asp:ListItem Value="question">Pregunta</asp:ListItem>
        <asp:ListItem Value="vote">Votos totales</asp:ListItem>
        <asp:ListItem Value="id">ID</asp:ListItem>
        </asp:DropDownList>&nbsp;<asp:DropDownList ID="Direction_ddl" runat="server">
            <asp:ListItem Value="ascending">Ascendente</asp:ListItem>
            <asp:ListItem Value="descending">Descendente</asp:ListItem>
        </asp:DropDownList>
        <asp:Button ID="Sort_bt" runat="server" Text="Ordenar"/>
    </div>
    <asp:DataList ID="Polls_dl" runat="server" DataKeyField="Id" OnItemCreated="Polls_dl_ItemCreated" Width="100%">
        <ItemTemplate>
            <div class="pollArchive-PollContainer">
                <div class="pollArchive-Question" style="float:left;">
                    <%# DataBinder.Eval(Container.DataItem, "Question") %>
                </div>
                 <div class="pollArchive-Date" style="float:right;">
                    <%# DataBinder.Eval(Container.DataItem, "DateCreated", "{0:g}")%>
                </div><br style="clear:both" />
                <asp:Repeater ID="Answers_rpt" runat="server" OnItemDataBound="Answers_rpt_ItemDataBound"
                    DataSource='<%# Eval("Answers") %>'>
                    <ItemTemplate>
                        <div class="pollArchive-AnswersText">
                            <%# DataBinder.Eval(Container.DataItem, "Text") %></div>
                        <div class="pollArchive-AnswersProgressBarContainer">
                            <div id="Progress_div" runat="server" style="float: left;" class="pollArchive-AnswersProgressBar">
                                &nbsp;
                            </div>
                            <div id="Percent_div" runat="server" style="float: left;" class="pollArchive-AnswersPercentage">
                            </div>
                            <div id="Vote_div" runat="server" class="pollArchive-AnswersVotes">
                            </div>
                        </div>
                    </ItemTemplate>                    
                </asp:Repeater>
                <br />
                <div style="float: left;" class="pollArchive-PollClosed">
                    Fecha de expiración:
                    <asp:Label ID="ExpirationDate_lb" runat="server" Text='<%# DateTime.Parse(DataBinder.Eval(Container.DataItem, "ExpirationDate","{0:g}"))>DateTime.Parse("01/01/2008 00:00:00")? DataBinder.Eval(Container.DataItem, "ExpirationDate","{0:g}"):"" %>'></asp:Label></div>
               
                <div style="float: right;" class="pollArchive-TotalVotes">
                    Total votos:
                    <asp:Label ID="TotalVote_lb" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "TotalVote") %>'></asp:Label></div>              
                <br style="clear:both" />
                </div>
        </ItemTemplate>
    </asp:DataList>
</asp:content>
