﻿#
# Structure for the `be_pollanswers` table :
#

DROP TABLE IF EXISTS `be_pollanswers`;

CREATE TABLE `be_pollanswers` (
  `AnswerID` varchar(36) NOT NULL,
  `PollID` varchar(36) NOT NULL,
  `Answer` varchar(1024) default NULL,
  `Vote` int(11) default NULL,
  PRIMARY KEY  (`AnswerID`),
  UNIQUE KEY `AnswerID` (`AnswerID`),
  KEY `be_pollanswers_fk` (`PollID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Structure for the `be_polls` table :
#

DROP TABLE IF EXISTS `be_polls`;

CREATE TABLE `be_polls` (
  `PollID` varchar(36) NOT NULL,
  `Question` varchar(1024) default NULL,
  `Activated` tinyint(4) default NULL,
  `ExpirationDate` datetime default NULL,
  `DateCreated` datetime default NULL,
  PRIMARY KEY  (`PollID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

