﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="edit.ascx.cs" Inherits="widgets_Poll_edit" %>
<asp:DropDownList ID="Polls_ddl" runat="server" AppendDataBoundItems="True" OnSelectedIndexChanged="Polls_ddl_SelectedIndexChanged"
    AutoPostBack="True">
    <asp:ListItem>Selecciona votación para editar o borrar</asp:ListItem>
</asp:DropDownList>
<br />
<br />
<fieldset>
    <legend>Formulario de votación</legend><b>Pregunta:*</b><br />
    <asp:TextBox ID="Question_tb" runat="server" Width="300px" ValidationGroup="Poll"></asp:TextBox>
    &nbsp;<asp:CheckBox ID="Activated_cbx" runat="server" Checked="True" Text="Activado" />
    &nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="Question_tb"
        ErrorMessage="Please enter a question." ValidationGroup="Poll"></asp:RequiredFieldValidator>
    <br />
    <br />
    <b>Fecha de expiración:</b><br />
    <asp:DropDownList ID="Day_ddl" runat="server">
        <asp:ListItem>Day</asp:ListItem>
        <asp:ListItem>1</asp:ListItem>
        <asp:ListItem>2</asp:ListItem>
        <asp:ListItem>3</asp:ListItem>
        <asp:ListItem>4</asp:ListItem>
        <asp:ListItem>5</asp:ListItem>
        <asp:ListItem>6</asp:ListItem>
        <asp:ListItem>7</asp:ListItem>
        <asp:ListItem>8</asp:ListItem>
        <asp:ListItem>9</asp:ListItem>
        <asp:ListItem>10</asp:ListItem>
        <asp:ListItem>11</asp:ListItem>
        <asp:ListItem>12</asp:ListItem>
        <asp:ListItem>13</asp:ListItem>
        <asp:ListItem>14</asp:ListItem>
        <asp:ListItem>15</asp:ListItem>
        <asp:ListItem>16</asp:ListItem>
        <asp:ListItem>17</asp:ListItem>
        <asp:ListItem>18</asp:ListItem>
        <asp:ListItem>19</asp:ListItem>
        <asp:ListItem>20</asp:ListItem>
        <asp:ListItem>21</asp:ListItem>
        <asp:ListItem>22</asp:ListItem>
        <asp:ListItem>23</asp:ListItem>
        <asp:ListItem>24</asp:ListItem>
        <asp:ListItem>25</asp:ListItem>
        <asp:ListItem>26</asp:ListItem>
        <asp:ListItem>27</asp:ListItem>
        <asp:ListItem>28</asp:ListItem>
        <asp:ListItem>29</asp:ListItem>
        <asp:ListItem>30</asp:ListItem>
        <asp:ListItem>31</asp:ListItem>
    </asp:DropDownList>
    <asp:DropDownList ID="Month_ddl" runat="server">
        <asp:ListItem>Month</asp:ListItem>
        <asp:ListItem Value="1">January</asp:ListItem>
        <asp:ListItem Value="2">February</asp:ListItem>
        <asp:ListItem Value="3">March</asp:ListItem>
        <asp:ListItem Value="4">April</asp:ListItem>
        <asp:ListItem Value="5">May</asp:ListItem>
        <asp:ListItem Value="6">June</asp:ListItem>
        <asp:ListItem Value="7">July</asp:ListItem>
        <asp:ListItem Value="8">August</asp:ListItem>
        <asp:ListItem Value="9">September</asp:ListItem>
        <asp:ListItem Value="10">October</asp:ListItem>
        <asp:ListItem Value="11">November</asp:ListItem>
        <asp:ListItem Value="12">December</asp:ListItem>
    </asp:DropDownList>
    <asp:DropDownList ID="Year_ddl" runat="server">
        <asp:ListItem>Year</asp:ListItem>
        <asp:ListItem>2008</asp:ListItem>
        <asp:ListItem>2009</asp:ListItem>
        <asp:ListItem>2010</asp:ListItem>
        <asp:ListItem>2011</asp:ListItem>
        <asp:ListItem>2012</asp:ListItem>
        <asp:ListItem>2013</asp:ListItem>
        <asp:ListItem>2014</asp:ListItem>
        <asp:ListItem>2015</asp:ListItem>
    </asp:DropDownList>
&nbsp;(Opcional)<br />
    <br />
    <b>Respuesta:</b><br />
    <asp:TextBox ID="Answer_tb" runat="server" Width="300px" ValidationGroup="Answer"></asp:TextBox>
    &nbsp;<asp:Button ID="Answer_bt" runat="server" Text="Añadir respuesta" OnClick="Answer_bt_Click"
        ValidationGroup="Answer" />
    &nbsp;<asp:Button ID="Cancel_bt" runat="server" onclick="Cancel_bt_Click" 
        Text="Cancel" Visible="False" />
&nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="Answer_tb"
        ErrorMessage="Please enter a answer." ValidationGroup="Answer"></asp:RequiredFieldValidator>
    <br />
    <br />
    <asp:GridView ID="Answers_gv" runat="server" AutoGenerateColumns="False" DataKeyNames="Id"
        OnRowCommand="Answers_gv_RowCommand" OnRowCreated="Answers_gv_RowCreated" Width="512px">
        <RowStyle Height="25px" />
        <Columns>
            <asp:BoundField DataField="Id" HeaderText="Id" Visible="False">
                <ItemStyle Wrap="True" />
            </asp:BoundField>
            <asp:BoundField DataField="Text" HeaderText="Respuesta" />
            <asp:BoundField DataField="Vote" HeaderText="Votos">
                <ItemStyle HorizontalAlign="Center" Width="100px" />
            </asp:BoundField>
            <asp:ButtonField ButtonType="Link" CommandName="DeleteAnswer" Text="Delete">
                <ItemStyle HorizontalAlign="Center" Width="50px" />
            </asp:ButtonField>
            <asp:ButtonField ButtonType="Link" CommandName="EditAnswer" Text="Edit">
                <ItemStyle HorizontalAlign="Center" Width="50px" />
            </asp:ButtonField>
        </Columns>
        <EmptyDataTemplate>
        </EmptyDataTemplate>
        <HeaderStyle Height="22px" />
        <AlternatingRowStyle BackColor="#F1F1F1" />
    </asp:GridView>
    <br />
    <br />
    <asp:Button ID="Add_bt" runat="server" OnClick="Add_bt_Click" Text="Añadir votación" ValidationGroup="Poll" />
    &nbsp;<asp:Button ID="Update_bt" runat="server" OnClick="Update_bt_Click" Text="Actualizar votación"
        Visible="False" />
    &nbsp;<asp:Button ID="Delete_bt" runat="server" OnClick="Delete_bt_Click" Text="Eliminar votación"
        Visible="False" onclientclick="return confirm('¿Esta seguro que quiere eliminar la votación?')" />
    &nbsp;<p style="text-align: center">
    <asp:Label ID="Messages_lb" runat="server" ForeColor="Blue" Font-Size="14px"></asp:Label>
</p>
</fieldset>
<br />
<fieldset>
 <legend>Configuración de la votación</legend>
    <br />
    <b>¿Hacer visible en botón de resultados?</b>
    <asp:RadioButtonList ID="ShowResults_rbl" runat="server" 
        RepeatDirection="Horizontal">
        <asp:ListItem Value="true">Yes</asp:ListItem>
        <asp:ListItem Value="false">No</asp:ListItem>
    </asp:RadioButtonList>
    <br />
    <b>¿Hacer visible el botón de lista de votaciones?</b>
    <asp:RadioButtonList ID="PollsArchive_rbl" runat="server" 
        RepeatDirection="Horizontal">
        <asp:ListItem Value="true">Yes</asp:ListItem>
        <asp:ListItem Value="false">No</asp:ListItem>
    </asp:RadioButtonList>
</fieldset>
<asp:HiddenField ID="CurrentAnswer_hf" runat="server" />

