﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="widget.ascx.cs" Inherits="widgets_Poll_widget" %>
<div id="PollForm" style="height: 100%;" runat="server">
    <div id="Question_div" runat="server" class="pollForm-Question">
    </div>
    <asp:RadioButtonList ID="AnswersRbl" runat="server" CssClass="pollForm-AnswersContainer">
    </asp:RadioButtonList>
    <br />
    <asp:Button ID="Vote_bt" runat="server" Text="Votar" OnClientClick="return beginVote()"
        CssClass="pollForm-VoteButton" />
    <div id="AjaxLoader" class="pollForm-AjaxLoader" style="display: none">
    </div>
    <span id="SelectError" style="display: none;" class="pollForm-AnswerNotSelectedError">Please choose
        an answer.</span> <span id="ShowResults" onclick="showResult();" style="cursor: pointer; float: right"
            class="pollForm-ResultsLink" runat="server">Ver resultados</span>
    <br style="clear: both" />
</div>
<div id="PollResult" style="display: none" runat="server">
    <span id="VotedBefore" style="display: none;" class="pollResult-CurrentlyVoted">You already
        voted this poll.</span> <span id="VoteSaved" style="display: none;" class="pollResult-VoteSaved">
            Su voto ha sido registrado (pulse F5).</span><span id="PollClosed" style="display: none;" class="pollResult-PollClosed" runat="server">This poll is closed.</span> 
    <div id="QuestionResult_div" runat="server" class="pollResult-Question">
    </div>
    <asp:Repeater ID="Results_rpt" runat="server" OnItemDataBound="Results_rpt_ItemDataBound">
        <ItemTemplate>
            <div class="pollResult-AnswersText">
                <%# DataBinder.Eval(Container.DataItem, "Text") %></div>
            <div class="pollResult-AnswersProgressBarContainer">
                <div id="Progress_div" runat="server" style="float: left;" class="pollResult-AnswersProgressBar">
                    &nbsp;
                </div>
                <div id="Percent_div" runat="server" class="pollResult-AnswersPercentage">
                </div>
            </div>
        </ItemTemplate>
    </asp:Repeater>
    <br />
    <div class="pollResult-TotalVotes" style="float: left">
        Votos totales:
        <asp:Label ID="TotalVote_lb" runat="server" Text=""></asp:Label></div>
    <span id="ShowPoll" onclick="showPoll();" style="cursor: pointer; float: right" class="pollResult-PollLink" runat="server">
        Ver votación</span>
    <br style="clear: both" />
</div>
<div id="PollsArchive" style="display: block" runat="server" class="pollArchive-ArchiveButton">
    <asp:HyperLink ID="PollArchive_hl" runat="server" NavigateUrl="~/archivepoll.aspx">Lista de votaciones</asp:HyperLink>
</div>

<script type="text/javascript">
<!--
  function getElementsByName_iefix(tag, name) 
  {    
       var elem = document.getElementsByTagName(tag);
       var arr = new Array();
       for(i = 0,iarr = 0; i < elem.length; i++) {
            att = elem[i].getAttribute("name");
            if(att == name) {
                 arr[iarr] = elem[i];
                 iarr++;
            }
       }
       return arr;
  }
    
  function beginVote()
  {
    $('SelectError').style.display = 'none';
    var clientId= '<%=AnswersRbl.ClientID %>';
    var clientName= clientId.replace(/_/g,"$");    
    var answerRadioButtons = getElementsByName_iefix("input", clientName);
    var rblDCSelection = "";

    for (var i in answerRadioButtons)
    {
        if (answerRadioButtons[i].checked)
        {
           rblDCSelection = answerRadioButtons[i].value;
           break;
        }
    }     
    
    if(rblDCSelection == "")
    {
        $('SelectError').style.display = 'block';
        return false;
    }
    
    $('AjaxLoader').style.display = 'block';
    $('<%=Vote_bt.ClientID %>').style.display = 'none';
    
    var arg = rblDCSelection;
    var context = 'poll';
    <%=Page.ClientScript.GetCallbackEventReference(this, "arg", "endVote", "context") %>;
    
    return false;
  }
  
  function endVote(arg, context)
  {
     if(arg=="true")
     {
       $('<%=ShowPoll.ClientID %>').style.display = 'none';
       $('VoteSaved').style.display = 'block';
       showResult();
     }
     else
     {
       $('VotedBefore').style.display = 'block';
       showResult();
     }
  }
  
  function showResult()
  {         
    $('<%=PollForm.ClientID %>').style.display = 'none';
    $('<%=PollResult.ClientID %>').style.display = 'block';
    $('<%=Vote_bt.ClientID %>').style.display = 'block';
    $('AjaxLoader').style.display = 'none';
  }  
  
  function showPoll()
  {
    $('<%=PollForm.ClientID %>').style.display = 'block';
    $('<%=PollResult.ClientID %>').style.display = 'none';
  }  
  -->
</script>

